Subject: Re: [bug#33877] [PATCH] gnu: Add kitty.
From: Ludovic Courtès <[email-masked]>
To: Gabriel Hondet <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Jan 2019 21:12:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Gabriel Hondet <[email-masked]> skribis:

> * gnu/packages/terminals.scm (kitty): New variable.

Applied!  I took the liberty to make the small changes below; let me
know if anything is unclear.

Thanks,
Ludo’.

diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 223bc3684c..f6f3845070 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -931,7 +931,8 @@ tmux.")
               (string-append "sys.path.append(\"..\")\n" kitty-imp)))
            (substitute* "docs/Makefile"
              (("^SPHINXBUILD[[:space:]]+= (python3.*)$")
-              "SPHINXBUILD = sphinx-build\n"))))))
+              "SPHINXBUILD = sphinx-build\n"))
+           #t))))
     (build-system gnu-build-system)
     (inputs
      `(("python" ,python)
@@ -968,37 +969,34 @@ tmux.")
                       (let ((pycaches (find-files "linux-package/"
                                                   "__pycache__"
                                                   #:directories? #t)))
-                        (map delete-file-recursively pycaches))))
+                        (for-each delete-file-recursively pycaches)
+                        #t)))
                   (replace 'install
                     (lambda _
                       (let* ((out (assoc-ref %outputs "out"))
                              (obin (string-append out "/bin"))
                              (olib (string-append out "/lib"))
                              (oshare (string-append out "/share")))
-                        (begin
-                          (copy-recursively "linux-package/bin" obin)
-                          (copy-recursively "linux-package/share" oshare)
-                          (copy-recursively "linux-package/lib" olib)
-                          #t)))))))
+                        (copy-recursively "linux-package/bin" obin)
+                        (copy-recursively "linux-package/share" oshare)
+                        (copy-recursively "linux-package/lib" olib)
+                        #t))))))
     (synopsis "Fast, featureful, GPU based terminal emulator")
-    (description "Kitty, the fast, featureful, GPU based terminal emulator
-@itemize @bullet
+    (description "Kitty is a fast and featureful GPU-based terminal emulator:
+@itemize
 @item Offloads rendering to the GPU for lower system load and buttery smooth
 scrolling.  Uses threaded rendering to minimize input latency.
 @item Supports all modern terminal features: graphics (images), unicode,
 true-color, OpenType ligatures, mouse protocol, focus tracking, bracketed
 paste and several new terminal protocol extensions.
 @item Supports tiling multiple terminal windows side by side in different
-layouts without needing to use an extra program like tmux
+layouts without needing to use an extra program like tmux.
 @item Can be controlled from scripts or the shell prompt, even over SSH.
 @item Has a framework for Kittens, small terminal programs that can be used to
 extend kitty's functionality.  For example, they are used for Unicode input,
-Hints and Side-by-side diff.
+hints, and side-by-side diff.
 @item Supports startup sessions which allow you to specify the window/tab
 layout, working directories and programs to run on startup.
-@item Cross-platform: kitty works on Linux and macOS, but because it uses only
-OpenGL for rendering, it should be trivial to port to other Unix-like
-platforms.
 @item Allows you to open the scrollback buffer in a separate window using
 arbitrary programs of your choice.  This is useful for browsing the history
 comfortably in a pager or editor.